## tweego 0.4.3

=== Makefile ===
#############################################################################
# Makefile for building: tweego
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 12 21:53:33 2011
# Project:  tweego.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile tweego.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/mikhail/mikhailramalhos-tweego/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/mikhail/mikhailramalhos-tweego/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: tweego.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile tweego.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile tweego.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: release/tweego
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jan 12 21:41:38 2011
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DHAVE_OAUTH -DTWITTERAPI -DDATADIR=\"/usr//share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DQT_SHARED -I/usr/include/QtOAuth -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtCrypto -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DQT_SHARED -I/usr/include/QtOAuth -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtCrypto -I/usr/include/QtDBus -I/usr/include/QtXml -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lglib-2.0 -lqoauth -L/usr/lib -lqca -lQtMaemo5 -L/usr/X11R6/lib -lQtWebKit -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = main.cpp \
		backend.cpp \
		applicationItems/lineedit.cpp \
		applicationItems/twittercheckbox.cpp \
		applicationItems/twitterbutton.cpp \
		applicationItems/twitterapplicationitem.cpp \
		applicationItems/loader.cpp \
		applicationItems/dialog.cpp \
		applicationItems/twittertopbar.cpp \
		applicationItems/twittertweetinfo.cpp \
		urlshortener.cpp \
		applicationmanager.cpp \
		loginScreen/loginctrl.cpp \
		loginScreen/loginview.cpp \
		timelineScreen/timelinectrl.cpp \
		timelineScreen/timelineview.cpp \
		location/getiplocation.cpp \
		location/mapzoom.cpp \
		location/maemo5gps.cpp \
		applicationItems/tweet.cpp \
		twitpic.cpp \
		applicationItems/loginsettings.cpp \
		applicationItems/oauthwizard.cpp \
		applicationItems/kineticlist.cpp \
		applicationItems/user.cpp \
		twitterapi/xmlparser.cpp \
		twitterapi/userinfo.cpp \
		twitterapi/twitterapi.cpp \
		twitterapi/entry.cpp \
		applicationItems/timelinesettings.cpp build/moc_backend.cpp \
		build/moc_lineedit.cpp \
		build/moc_twittercheckbox.cpp \
		build/moc_twitterbutton.cpp \
		build/moc_twitterapplicationitem.cpp \
		build/moc_loader.cpp \
		build/moc_dialog.cpp \
		build/moc_twittertopbar.cpp \
		build/moc_twittertweetinfo.cpp \
		build/moc_urlshortener.cpp \
		build/moc_applicationmanager.cpp \
		build/moc_loginctrl.cpp \
		build/moc_loginview.cpp \
		build/moc_timelinectrl.cpp \
		build/moc_timelineview.cpp \
		build/moc_getiplocation.cpp \
		build/moc_mapzoom.cpp \
		build/moc_maemo5gps.cpp \
		build/moc_tweet.cpp \
		build/moc_twitpic.cpp \
		build/moc_loginsettings.cpp \
		build/moc_oauthwizard.cpp \
		build/moc_kineticlist.cpp \
		build/moc_user.cpp \
		build/moc_xmlparser.cpp \
		build/moc_twitterapi_p.cpp \
		build/moc_twitterapi.cpp \
		build/moc_timelinesettings.cpp \
		qrc_res.cpp
OBJECTS       = build/main.o \
		build/backend.o \
		build/lineedit.o \
		build/twittercheckbox.o \
		build/twitterbutton.o \
		build/twitterapplicationitem.o \
		build/loader.o \
		build/dialog.o \
		build/twittertopbar.o \
		build/twittertweetinfo.o \
		build/urlshortener.o \
		build/applicationmanager.o \
		build/loginctrl.o \
		build/loginview.o \
		build/timelinectrl.o \
		build/timelineview.o \
		build/getiplocation.o \
		build/mapzoom.o \
		build/maemo5gps.o \
		build/tweet.o \
		build/twitpic.o \
		build/loginsettings.o \
		build/oauthwizard.o \
		build/kineticlist.o \
		build/user.o \
		build/xmlparser.o \
		build/userinfo.o \
		build/twitterapi.o \
		build/entry.o \
		build/timelinesettings.o \
		build/moc_backend.o \
		build/moc_lineedit.o \
		build/moc_twittercheckbox.o \
		build/moc_twitterbutton.o \
		build/moc_twitterapplicationitem.o \
		build/moc_loader.o \
		build/moc_dialog.o \
		build/moc_twittertopbar.o \
		build/moc_twittertweetinfo.o \
		build/moc_urlshortener.o \
		build/moc_applicationmanager.o \
		build/moc_loginctrl.o \
		build/moc_loginview.o \
		build/moc_timelinectrl.o \
		build/moc_timelineview.o \
		build/moc_getiplocation.o \
		build/moc_mapzoom.o \
		build/moc_maemo5gps.o \
		build/moc_tweet.o \
		build/moc_twitpic.o \
		build/moc_loginsettings.o \
		build/moc_oauthwizard.o \
		build/moc_kineticlist.o \
		build/moc_user.o \
		build/moc_xmlparser.o \
		build/moc_twitterapi_p.o \
		build/moc_twitterapi.o \
		build/moc_timelinesettings.o \
		build/qrc_res.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		src.pro
QMAKE_TARGET  = tweego
DESTDIR       = release/
TARGET        = release/tweego

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) release/ || $(MKDIR) release/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libqoauth.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libqca.prl \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtWebKit.prl
	$(QMAKE) -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libqoauth.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libqca.prl:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtWebKit.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) build/tweego1.0.0 || $(MKDIR) build/tweego1.0.0

## tweego 0.2.1-1

=== debian/changelog ===
tweego (0.2.1-1) unstable; urgency=low

  * Initial release

 -- Rodrigo Avelino Ramos <bstritium@gmail.com>  Tue, 30 Mar 2010 00:57:33 -0400

=== debian/control ===
Source: tweego
Section: user/network
Priority: extra
Maintainer: Rodrigo Avelino Ramos <bstritium@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: tweego
Architecture: any
Depends: libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network, libqt4-maemo5-dbus, libqt4-maemo5-webkit
Description: TweeGo is a twitter client developed for great user experience.
 A very good looking client providing basic 
 twitter functions.
 Further information: http://garage.maemo.org/projects/tweego 
 and http://gitorious.org/tweego
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oDHgQyAoxgUhQAAAdbSURBVGje7ZltbFtnFcd/597re+2kbmM3adOk
 aZrRpl07dS1ZoQLxAaZu/YC0aTZVBQPBqlFNSAOE9oEhVIp4G0hD6iSEEEhI
 CFQJR9OQWEunsWqMMhWmgqqKrBVN1pY2TajdJnHixNf38MGPnTh9SezY2z7s
 kawr2/fxPf9z/s//vBg+WB+sJS1Z0u7+DKhCMl58n0oDRAAXEQtVBaYRmSER
 K5T3pdKze95TALNAVgEPAR8GelHtBDxEfFQvAdeAs8AJkvG3yuATsfcIQNHT
 RS/2Zw6h+mVE4qi6lb8uxQgVrwqMAQPAUyTjp+nPFO9bAhCpiTaJGKTSUeA4
 Iruq2K2oigH0A0QOkoj5S6GU1EiZGPAKqn2AIiJVgSg9W/W3wBcBv1YAVo2R
 +wqqfYhUa3zJaYIqwOeAp0nGZ2nZ0AgUORsD/obqJhayXZXI1A18xyMfitx6
 Lsw9iKwkEUs3PgKJGKiuBjYt7BqL1usXSLz0DB9/81fYhTyIYPvTbDvzEr3n
 X8NEEOBQURwy7wqFdhpP6t0B2LReH0SByOQNrMAHhPbhf7P53J/ZevZllt+8
 Ugrho6TSIZKxOyveHZZTA4BdJux350+QZ2Djp+i48i8ure0rU8gPhfGdEL7j
 MRNqKt3dCbxIKv07oHeOMPyGROw/9ZbR48DuhbXG8NwJQ+AXX+bzrsunyXlR
 Rts3Q8G/3e4xRF4ADlZk8DpFYHFZpxQgP3cLqEtdRfUtG1+8t5QjXgG+QCI2
 vJiMXf0ZUG2qPW1KZSoQmVUlEEReIBF7iERsuMz9BbK0VYMR2YaUlaqjqH67
 okxpiAqpjtW/JhaAZaYAbLCMilw0Ia+r/xGJALtNndXQPHAekbrHwDjlm41P
 ZKr/NA/TBpyErfRnuqsp7GqJwBkDROp+DoqK9PicuqvOAFJpEJkChhrY5n6m
 mianOgDJOKhOAQMNOAclWnaQSrc3jkLJ+CQip+5YPqjiWdBsQ0hg0YpV3CtA
 2NRDi1pObX7St4ApI31lA5od4ZH2EFuiFitdi5HpgMMXZrg+E3DXiKkSsoS+
 Fpt1EStydryw8Sy83jgAIn9HdcJ4SwBcSzjY63H/CgcxXOhttsj68ONzObDv
 bHyLa3Go1+OeZgtXxJko6IcSDW0pE7GrIDdBi/odKE92h/hozEFVy/rqK3RH
 5PaCa+i2JWrz+74mtkTtIuVEWeaw5tjlGacxAMryptlWV4iGhF0rHfZ2uEwV
 KtsEASaDO//UJ1sdfrIlTAAUtNgCmLpOF6sRTtUymogh/Zk1qtoxWYCv9Xj0
 tdjkgpKIzD7ZEhiYKNzadQTK9haHZzaEsc3IqAS8eNWbgYpfPwCptCCyAnBJ
 pbtU9fDqsNW2v8tlTViIOlI0fZ73A4X+K/nZOBtF6l1u8/x9YfIBtzR3gSpT
 BUYf63brcAZms2EL8EdU3wb+AXzsWk710lRAsyN4FoQtcM3Ls+BGXvnuuRw3
 ZrRCgdZFLL6/qWS8VoiTqqrC9JVccK5+Y5VUWkjGlf7Ms8D3TNdkuidotoU2
 z2JdWFjfbKEBXJ0OOHWjwFi+0njPgh/dG2ZL1K6gzVwIuUCGD5+b6Hz1wbjW
 h0IiEVLpo6heBEaBVaZ7AiBbgGy2wFAWXv/f3NGVVM5+FPaudelbYTNZqDRe
 FRVBVJHhXOE7rz4Y12OXp9mz1qsDhRKxSUQ+jYgDrCr3r7crxCzzmu9ZhR0x
 mye6XKaCWwcaIkigkC3wswMbI7/Ye3JsUcYvDCARK4EYN2PAx4CxqipRVVxH
 +GqPx4yWhtSznEcVVSWveni5I18HeGKdR/3OwFwJnf0j4zkDaKXJxnOb81KH
 VW5U9qwK8fQ9LnZxGCYlEAJZFRkR9NmHO70j785stFTmptLLgN2IfAS4F9iM
 aocxPIoqVuD7gR0a2N8Vanl4tevlrw+3Olp4p6W98wTwtsKbezrdEwB/+u8M
 qrpo6ixtvD5/np9KhxFpAkKosv7iqTXbzvzhtZy37Pnj+5/76T4/Gz68q3ni
 G196csqy7R/++pc//5bMGU0u9sDWr5ib3/Il4zmgPMHate+zAE2RycxldsrE
 EZg4Auwrfj4m8+aqtRpfezG3wLJtG1V1LcsqjxcOHHjKM9wP6vmsegMQIDw0
 NLRCRMhkMmqy+MqjR19uFREKhcJ95uCHtm27/30BwAKiQDvQAcQnJsajJhI9
 gAu4Fy++M6GqWdu2P59M7j22ffuOHUNDg90mMUZqPY/2Eo2PAK2AZwxQQNra
 2iJtbased133Exs2bIx4njd47dq18Z6enoxtO+2qetW27cvhsDc9MjIypaoR
 E5VcteOapQLwDIgKVcvn8/n163u2iohrWWI7Tuhqa2ur88Ybf/lrPp8/Oj4+
 dnJwcPDC+fPn03MSmw1kqz0j9RgtNJm5plWqggB94IGd3S0tsW7LEuf06dMn
 R0dHJo2ReptJhE/xP+SZxiayuy/XyLJtrgoUAMdxnJDv+8Ec7wbmOx/Im+v7
 bsnc2nTe+7qt/wOQ4u0j3/VkWgAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := tweego
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=my-application-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tweego 0.2.1-2

=== debian/changelog ===
tweego (0.2.1-2) unstable; urgency=low

  * Update dependencies
  
 -- Rodrigo Avelino Ramos <bstritium@gmail.com>  Tue, 01 Jun 2010 22:37:30 -4000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/network
 Priority: extra
 Maintainer: Rodrigo Avelino Ramos <bstritium@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
 Standards-Version: 3.7.2
 
 Package: tweego
 Architecture: any
-Depends: libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network, libqt4-maemo5-dbus, libqt4-maemo5-webkit
+Depends: libqt4-core, libqt4-gui, libqt4-network, libqt4-dbus, libqt4-webkit
 Description: TweeGo is a twitter client developed for great user experience.
  A very good looking client providing basic 
  twitter functions.

## tweego 0.2.1-3

=== debian/changelog ===
tweego (0.2.1-3) unstable; urgency=low

  * Add bugtracker
  
 -- Rodrigo Avelino Ramos <bstritium@gmail.com>  Tue, 01 Jun 2010 23:45:11 -4000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
  twitter functions.
  Further information: http://garage.maemo.org/projects/tweego 
  and http://gitorious.org/tweego
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1392
+XB-Maemo-Display-Name: TweeGo
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## tweego 0.3.0

=== debian/changelog ===
tweego (0.3.0) unstable; urgency=low

  * New tweets list
  * New kinetic scroller
  * GPS support
  * Clickable links
  * Mentions List
  * Open TwitPic image without leaving the application
  * Fixed a good amount of bugs
  
 -- Rodrigo Avelino Ramos <bstritium@gmail.com>  Fri, 16 Jul 2010 11:10:27 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: tweego
 Architecture: any
-Depends: libqt4-core, libqt4-gui, libqt4-network, libqt4-dbus, libqt4-webkit
+Depends: libqt4-core, libqt4-gui, libqt4-network, libqt4-dbus, libqt4-webkit, libqt4-maemo5
 Description: TweeGo is a twitter client developed for great user experience.
  A very good looking client providing basic 
  twitter functions.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp
 
@@ -18,9 +18,12 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
+
 	# Add here commands to clean up after the build process.
 	rm -rf builddir
+
 	dh_clean
+
 install: build
 	dh_testdir
 	dh_testroot
@@ -29,6 +32,8 @@
 
 	# Add here commands to install the package into debian/your_appname
 	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -41,7 +46,7 @@
 	dh_installexamples
 	dh_installman
 	dh_link
-	dh_strip --dbg-package=my-application-dbg
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
@@ -52,4 +57,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
-

## tweego 0.3.0-1

=== debian/changelog ===
tweego (0.3.0-1) unstable; urgency=low

  * Due an error with the builder, that it can't find liblocation, I had to remove GPS from this release
  
 -- Rodrigo Avelino Ramos <bstritium@gmail.com>  Fri, 16 Jul 2010 22:31:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Rodrigo Avelino Ramos <bstritium@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, libgconf2-dev
 Standards-Version: 3.7.2
 
 Package: tweego

## tweego 0.3.1

=== debian/changelog ===
tweego (0.3.1) unstable; urgency=low

  * Fixed bug that back button is on top of twitpic when it is open
  * Added GPS support
  
 -- Rodrigo Avelino Ramos <bstritium@gmail.com>  Sun, 25 Jul 2010 16:55:43 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Rodrigo Avelino Ramos <bstritium@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, libgconf2-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, liblocation-dev, libgconf2-dev
 Standards-Version: 3.7.2
 
 Package: tweego

## tweego 0.3.1-1

=== debian/changelog ===
tweego (0.3.1-1) unstable; urgency=low

  * Fixed wrong target name
  
 -- Rodrigo Avelino Ramos <bstritium@gmail.com>  Sun, 25 Jul 2010 16:59:23 -0400

## tweego 0.4.0

=== debian/changelog ===
tweego (0.4.0) unstable; urgency=low

  * New version with oauth support.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Thu,  4 Nov 2010 23:47:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: tweego
 Section: user/network
 Priority: extra
-Maintainer: Rodrigo Avelino Ramos <bstritium@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, liblocation-dev, libgconf2-dev
+Maintainer: Mikhail Ramalho <mikhail.ramalho@gmail.com>
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, liblocation-dev, libgconf2-dev, libqoauth-dev, libqca2-dev
 Standards-Version: 3.7.2
 
 Package: tweego
-Architecture: any
-Depends: libqt4-core, libqt4-gui, libqt4-network, libqt4-dbus, libqt4-webkit, libqt4-maemo5
+Architecture: armel
+Depends: libqt4-core, libqt4-gui, libqt4-network, libqt4-dbus, libqt4-webkit, libqt4-maemo5, libqoauth (>= 1.0.1-4)
 Description: TweeGo is a twitter client developed for great user experience.
  A very good looking client providing basic 
  twitter functions.

## tweego 0.4.1

=== debian/changelog ===
tweego (0.4.1) unstable; urgency=low

  * Added icon and fixed bug about pages.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Sun,  7 Nov 2010 23:01:16 -0400

## tweego 0.4.2

=== debian/changelog ===
tweego (0.4.2) unstable; urgency=low

  * Small update: Smoother list.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Sun, 19 Dec 2010 17:07:59 -0400

## tweego 0.4.3

=== debian/changelog ===
tweego (0.4.3) unstable; urgency=low

  * Fixed Crash when user has no tweets on its account.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Wed, 12 Jan 2011 22:48:56 -0400

## tweego 0.4.3-1

=== debian/changelog ===
tweego (0.4.3-1) unstable; urgency=low

  * Removed mentions button.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Thu, 13 Jan 2011 01:27:13 -0400

## tweego 0.5.0

=== debian/changelog ===
tweego (0.5.0) unstable; urgency=low

  * New Mentions Tab and some bug fixes.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Mon, 17 Jan 2011 22:13:49 -0400

## tweego 0.5.0-1

=== debian/changelog ===
tweego (0.5.0-1) unstable; urgency=low

  * Fixed bug about mentions page.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Mon, 17 Jan 2011 23:01:28 -0400

## tweego 0.5.1

=== debian/changelog ===
tweego (0.5.1) unstable; urgency=low

  * Fixed bug when user changes between timelines before the animation ends.
  * Better network usage: Images are only downloaded once per login.
  * Links are inside a list now, easier to open.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Wed, 19 Jan 2011 14:42:08 -0400

## tweego 0.6.0

=== debian/changelog ===
tweego (0.6.0) unstable; urgency=low

  * Fix large links not opening the browser.
  * Fix duplicated tweets bug.
  * New tweet view, more close to the web page.
  * Fix bug of already downloaded images being downloaded again.
  * Portrait view full implementation.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Thu, 24 Mar 2011 21:55:12 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: tweego
-Architecture: armel
+Architecture: any
 Depends: libqt4-core, libqt4-gui, libqt4-network, libqt4-dbus, libqt4-webkit, libqt4-maemo5, libqoauth (>= 1.0.1-4)
 Description: TweeGo is a twitter client developed for great user experience.
  A very good looking client providing basic

## tweego 0.6.2

=== debian/changelog ===
tweego (0.6.2) unstable; urgency=low

  * Fix crashes on startup.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Sun, 27 Mar 2011 17:45:19 -0400

tweego (0.6.1) unstable; urgency=low

  * Fix some crashes on startup.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Sun, 27 Mar 2011 15:36:00 -0400

## tweego 0.6.3

=== debian/changelog ===
tweego (0.6.3) unstable; urgency=low

  * Fix crash when try to login after delete an tweet.
  * Fix timeline bug after update status.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Sun, 27 Mar 2011 19:18:10 -0400

## tweego 0.6.5-1

=== debian/changelog ===
tweego (0.6.5-1) unstable; urgency=low

  * Fix some parser bugs.
  * Fix more crashes on startups.
  * Fix tweet background color when using Qt 4.7.2
  * Fix delete bug.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri, 10 Jun 2011 17:25:22 -0400

tweego (0.6.5) unstable; urgency=low

  * Fix delete bug.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri,  3 Jun 2011 16:52:33 -0400

tweego (0.6.4-1) unstable; urgency=low

  * Fix some parser bugs.
  * Fix more crashes on startups.
  * Fix tweet background color when using Qt 4.7.2 

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Thu, 21 Apr 2011 18:47:20 -0400

tweego (0.6.4) unstable; urgency=low

  * Fix some parser bugs.
  * Fix more crashes on startups.
  * Fix tweet background color when using Qt 4.7.2

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Thu, 21 Apr 2011 17:10:31 -0400

## tweego 0.6.5-2

=== debian/changelog ===
tweego (0.6.5-2) unstable; urgency=low

  * New icon created with Harmattan Icon Generator by javispedro
  * New buttons for home and mentions

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri, 15 Jul 2011 15:59:14 -0400

## tweego 0.6.5-3

=== debian/changelog ===
tweego (0.6.5-3) unstable; urgency=low

  * New buttons for home and mentions by Reflektorfalke

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri, 15 Jul 2011 21:27:22 -0400

## tweego 0.6.5-4

=== debian/changelog ===
tweego (0.6.5-4) unstable; urgency=low

  * New build using cbds

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Mon,  1 Aug 2011 23:33:21 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Mikhail Ramalho <mikhail.ramalho@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-maemo5, liblocation-dev, libgconf2-dev, libqoauth-dev, libqca2-dev
+Build-Depends: debhelper (>= 5), cdbs, libqt4-dev, libqt4-maemo5, liblocation-dev, libgconf2-dev, libqoauth-dev, libqca2-dev
 Standards-Version: 3.7.2
 
 Package: tweego

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

NJOBS := $(shell if [ -f /proc/cpuinfo ]; \
                    then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
                    else echo 1; fi)

DEB_MAKE_ENVVARS := MAKEFLAGS="-j$(NJOBS)"

DEB_QMAKE_CONFIG_VAL := release
DEB_QMAKE_ARGS := PREFIX=/usr
